gr::satellites::varlen_packet_tagger_impl Class Reference

`#include <varlen_packet_tagger_impl.h>`

Inheritance diagram for gr::satellites::varlen_packet_tagger_impl:

## Public Member Functions

| varlen_packet_tagger_impl (const std::string &sync_key, const std::string &packet_key, int length_field_size, int max_packet_size, endianness_t endianness, bool use_golay)
| ~varlen_packet_tagger_impl ()
void | forecast (int noutput_items, gr_vector_int &ninput_itens_required)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::satellites::varlen_packet_tagger
typedef std::shared_ptr< varlen_packet_tagger > | sptr
Static Public Member Functions inherited from gr::satellites::varlen_packet_tagger
static sptr | make (const std::string &sync_key, const std::string &packet_key, int length_field_size, int max_packet_size, endianness_t endianness, bool use_golay)

## Constructor & Destructor Documentation

## varlen_packet_tagger_impl()

gr::satellites::varlen_packet_tagger_impl::varlen_packet_tagger_impl | ( | const std::string & | sync_key,
|  | const std::string & | packet_key,
|  | int | length_field_size,
|  | int | max_packet_size,
|  | endianness_t | endianness,
|  | bool | use_golay
| ) |  |

## ~varlen_packet_tagger_impl()

gr::satellites::varlen_packet_tagger_impl::~varlen_packet_tagger_impl | ( |  | ) |

## Member Function Documentation

## forecast()

void gr::satellites::varlen_packet_tagger_impl::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_itens_required
| ) |  |

## general_work()

int gr::satellites::varlen_packet_tagger_impl::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

The documentation for this class was generated from the following file:

- varlen_packet_tagger_impl.h